#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,l,a,rez=-1,promena=1;
    cin >> n >> l;
    for(int i=0;i<n;i++){
        cin >> a;
        if(promena && a<=l){
            rez=i+1;
            promena=0;
        }
    }
    cout << rez;
    return 0;
}